import java.io.File;
import java.io.IOException;
import java.util.Scanner;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * Created by thook on 10/7/15.
 */
public class HamletParser {

    private String hamletData;

    public HamletParser()
    {
        this.hamletData = loadFile();
    }

    private String loadFile()
    {
        ClassLoader classLoader = getClass().getClassLoader();
        File file = new File(classLoader.getResource("hamlet.txt").getFile());
        StringBuilder result = new StringBuilder("");

        try(Scanner scanner = new Scanner(file)){
            while(scanner.hasNextLine()){
                String line = scanner.nextLine();
                result.append(line).append("\n");
            }

            scanner.close();
        }catch(IOException e){
            e.printStackTrace();
        }

        return result.toString();
    }

    public String getHamletData()
    {
        return hamletData;
    }

    public void changeHamletToLeon() {
        if(findHamlet()) {
            Matcher matcher = matchingwords("Hamlet");
            matcher.replaceAll("Leon");
        }
    }

    private Matcher matchingwords(String hamlet)
    {
        Pattern pattern = Pattern.compile(hamlet);
        Matcher matcher = pattern.matcher(this.hamletData.toLowerCase());
        return  matcher;
    }

    public void changeHoratioToTariq() {
        if(findHamlet()) {
            Matcher matcher = matchingwords("Horatio");
            matcher.replaceAll("Tariq");
        }
    }

    public boolean findHoratio() {
        Matcher matcher = matchingwords("horatio");
        return matcher.find();
    }

    public boolean findHamlet() {
       /* String str="((Hamlet)(.+?)";
        Pattern pattern =Pattern.compile(str) ;*/
        Matcher matcher = matchingwords("hamlet" );
        return matcher.find();
    }
}


