import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeon()
    {
        hamletParser.changeHamletToLeon();
        boolean actual = hamletParser.findHamlet();
        Assert.assertTrue(actual);
    }

    @Test
    public void testChangeHoratioToTariq()
    {
        hamletParser.changeHoratioToTariq();
        boolean actual = hamletParser.findHamlet();
        Assert.assertTrue(actual);
    }

    @Test
    public void testFindHoratio()
    {
        hamletParser.findHoratio();
        boolean actual = hamletParser.findHamlet();
        Assert.assertTrue(actual);
    }

    @Test
    public void testFindHamlet()
    {
//        hamletParser.findHamlet();
//        boolean actual = hamletParser.findHamlet();
//        Assert.assertTrue(actual);

        String regex = "((Hamlet) (.+?))";
        Pattern pattern = Pattern.compile(regex);
        Matcher matcher = pattern.matcher(hamletText);
        boolean expected = matcher.find();
        System.out.println(expected);
        Assert.assertTrue(expected);
    }
}